Subject: bug#17839: 24.4.50; read-passwd echoes password input in non-interactive sessions

From: Sebastian Wiesner <[email-masked]>
Date: Thu, 7 Aug 2014 15:12:27 +0200

Am 07.08.2014 um 15:01 schrieb Stefan Monnier <[email-masked]>:

>> I know, but I'd argue that since it's kind of a security issue, albeit
>> small,  it deserves a timely fix.  YMMV, though, and I'm ok with
>> either decision you  make.
> 
> I'm OK with installing a fix for it in emacs-24, but the fix we have in
> trunk is not "obviously safe" enough to be appropriate for emacs-24.

I know.

> And I think the warning we added to emacs-24 is a sufficient (tho not
> ideal) stop-gap for emacs-24.

Ok.

> 
> IOW feel free to send a safer patch (with corresponding copyright
> paperwork, of course),

I don’t think that I’m competent enough to do that.  If I understand correctly, Windows support is the main issue, and I do not use Windows.

Besides, you know my opinion of your copyright paperwork, and it hasn’t changed lately.  I won’t contribute to Emacs.